## org.codehaus.groovy.runtime
Class ConvertedClosure

This class is a general adapter to adapt a closure to any Java interface.

author:
  Ben Yu

author:
  Jochen Theodorou

Jul 27, 2006 3:50:51 PM

Field Summary
`String` | `methodName`

Constructor Summary
`ConvertedClosure(Closure closure, String method)` to create a ConvertedClosure object.
`ConvertedClosure(Closure closure)`

Method Summary
`Object` | `invokeCustom(Object proxy, Method method, def args)`

Constructor Detail

### ConvertedClosure

    public ConvertedClosure(Closure closure, String method)

  to create a ConvertedClosure object.
  param:
    closure the closure object.

### ConvertedClosure

    public ConvertedClosure(Closure closure)

Method Detail

### invokeCustom

    public Object invokeCustom(Object proxy, Method method, def args)